| bio-0.4: A bioinformatics library | Source code | Contents | Index

Bio.GFF3.Feature

Documentation

data GFFAttr | Source

Constructors

GFFAttr |

attrTag :: !ByteString |
attrValues :: ![ByteString] |

Instances

Eq GFFAttr
Ord GFFAttr
Show GFFAttr

data Feature | Source

Constructors

Feature |

seqid :: !ByteString |
source :: !ByteString |
ftype :: !ByteString |
start :: !Offset |
end :: !Offset |
score :: !(Maybe Double) |
strand :: !(Maybe Strand) |
phase :: !(Maybe Offset) |
attributes :: ![GFFAttr] |

Instances

Eq Feature
Ord Feature
Show Feature

length :: Feature -> Offset | Source

parse :: (Error e, MonadError e m) => ByteString -> m Feature | Source

unparse :: Feature -> ByteString | Source

parseWithFasta :: (Error e, MonadError e m) => ByteString -> m ([Feature], [ByteString]) | Source

attrByTag :: ByteString -> Feature -> [ByteString] | Source

ids :: Feature -> [ByteString] | Source

parentIds :: Feature -> [ByteString] | Source

contigLoc :: Feature -> ContigLoc | Source

loc :: Feature -> Loc | Source

seqLoc :: Feature -> SeqLoc | Source

name :: (Error e, MonadError e m) => Feature -> m SeqName | Source

Produced by Haddock version 2.4.2